Skip to main content
GET
/
v1
/
location_histories
/
latest
Retrieve latest Location Histories for a Company
curl --request GET \
  --url https://api.tread-horizon.com/v1/location_histories/latest \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "lat": "<string>",
      "lon": "<string>",
      "accuracy": "<string>",
      "device_id": "<string>",
      "load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "order_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "load_state": "created",
      "radii": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "radius_meters": 123,
          "site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ],
      "speed_meters_per_second": "<string>",
      "bearing_degrees": "<string>",
      "occurred_at": "2023-11-07T05:31:56Z",
      "equipment": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "equipment_type": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "system": true,
          "external_id": "<string>",
          "accounting_id": "<string>"
        },
        "external_id": "<string>",
        "equipment_id": "<string>",
        "license_number": "<string>",
        "zone": "<string>",
        "accounting_id": "<string>",
        "company_share": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "external_id": "<string>",
          "ticket_match_id": "<string>",
          "sender_company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "tread_id": "ABC123",
            "legal_name": "<string>",
            "company_type": "hauler"
          },
          "dispatchable": true,
          "schedule_on": true,
          "rate_override": true,
          "expires_at": "2023-11-07T05:31:56Z"
        }
      },
      "driver": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "first_name": "<string>",
        "last_name": "<string>",
        "discarded_at": "2023-11-07T05:31:56Z",
        "email": "<string>",
        "phone": "<string>",
        "external_id": "<string>",
        "schedule_on": true
      },
      "vendor_job_assignment": {
        "customer_account": {
          "name": "<string>"
        },
        "vendor_account": {
          "name": "<string>"
        }
      },
      "dispatch_number": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Query Parameters

filter[order_id]
string

Filters location histories to include only those associated with the specified order's jobs

filter[job_id]
string

Filters location histories to include only those associated with the specific job

Response

OK

data
NextBillionAssetLocations-LatestLocation-Read · object[]
required